<!DOCTYPE html>
<html>
  <head>
    <title>Closures</title>
  </head>
  <body>
    <script>
      function contador() {
        let numero = 0

        function inc() {
          numero++
        }

        function dec() {
          numero--
        }

        function mostrar() {
          console.log(numero)
        }

        /*
        return {
          inc: inc,
          dec: otra_f(),
          mostrar: mostrar
        }
        */
        return {inc, dec, mostrar}
      }

      const cont = contador()
      cont.inc()
      cont.inc()
      cont.dec()
      cont.mostrar()
      cont.inc()
      cont.mostrar()

      const cont2 = contador()
      cont2.mostrar()
      cont2.dec()
      cont2.mostrar()

    </script>
  </body>
</html>
